Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611879 - iLo virtual media app fails with UnsatisifiedLinkError
iLo virtual media app fails with UnsatisifiedLinkError
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 14:50 EDT by James M. Leddy
Modified: 2014-08-11 01:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 07:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the error as it happens (26.54 KB, image/png)
2010-07-06 14:50 EDT, James M. Leddy
no flags Details

  None (edit)
Description James M. Leddy 2010-07-06 14:50:34 EDT
Created attachment 429854 [details]
screenshot of the error as it happens

Description of problem:

In trying to provision hp-dl380g6-01 in the test lab, I get an exception:

error: java.lang.UnsatisfiedLinkError: /tmp/cpqma-5da0b94d: /tmp/cpqma-5da0b94d: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch).

I thought this was the problem Java was designed to solve (WORA)   ;)

I'm not sure where the cpqma- file comes from.

Additionally:  

$ file /tmp/cpqma-5da0b94d 
/tmp/cpqma-5da0b94d: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

I'm running a 64bit kernel and userspace. Does anyone know if java-1.6.0-openjdk-plugin-1.6.0.0-39.b18.fc12.x86_64 is even supported? I know sun doesn't ship a 64 bit version of their JVM plugin.

If you can think of any workarounds, including installing the 32 bit version of the plugin and using nswrapper, please let me know.

I've attached a screenshot of the window.
Comment 1 Andrew Haley 2010-09-03 07:10:32 EDT
This is a 64-bit plugin running on a 64-bit system.  You need a 64-bit version of the library.

Note You need to log in before you can comment on or make changes to this bug.